Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a single conversation with metadata.
cURL
curl --request GET \ --url https://api.kapso.ai/platform/v1/whatsapp/conversations/{conversation_id} \ --header 'X-API-Key: <api-key>'
{ "data": { "id": "c63ced48-1283-4d55-8c8d-930f525aa0e5", "phone_number": "14155550123", "status": "active", "last_active_at": "2025-07-16T09:45:00Z", "created_at": "2025-06-01T12:00:00Z", "updated_at": "2025-07-16T09:45:00Z", "metadata": {}, "phone_number_id": "1234567890", "kapso": { "contact_name": "Alicia", "messages_count": 42, "last_message_id": "wamid.HBgMMTIzNDU2", "last_message_type": "text", "last_message_timestamp": "2025-07-16T09:40:00Z", "last_message_text": "Thanks!", "last_inbound_at": "2025-07-16T09:35:10Z", "last_outbound_at": "2025-07-16T09:40:00Z" } } }
Conversation details
Show child attributes
Was this page helpful?